<template>
    <nav class="navbar navbar-expand-lg navbar-light bg-red">
        <div class="navar-custom">
            <div class="navbar-brand" href="#">Componente A</div>
            <div id="nav-links">
                <a class="nav-link" href="#" @click="moveToDocuments()">Documents</a>
                <a class="nav-link" href="#" @click="moveToChangePassword()">Change Password</a>
            </div>
            <div>
                <button class="btn btn-dark my-2 my-sm-0" @click="logout()">Logout</button>
            </div>
        </div>
    </nav>
</template>

<script lang="ts">
    import {Component, Vue} from "vue-property-decorator";
    import {AuthUtils} from "@/utils/auth-utils";
    import {AxiosResponse} from "axios";

    @Component
    export default class NavBar extends Vue {

        public logout() {
            this.$http
                .post("http://localhost:8080/logout")
                .then((response: AxiosResponse) => {
                    AuthUtils.removeAuthentication();
                    this.$router.push({name: "login"});
                });
        }

        public moveToChangePassword() {
            this.$router.push({name: "changePassword"});
        }

        public moveToDocuments() {
            this.$router.push({name: "home"});
        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="css">
    .navbar {
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 10;
    }

    .bg-red {
        background-color: #d43f3a;
        color: white;
    }

    .navbar-brand {
        color: white !important;
    }

    .nav-link {
        color: white !important;
    }

    .btn-dark {
        font-variant: all-small-caps;
    }

    .navar-custom {
        display: grid;
        width: 100%;
        text-align: left;
        grid-template-columns: 10em auto 5em;
    }

    #nav-links {
        display: flex;
    }
</style>
